package org.springblade.modules.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.entity.*;
import org.springblade.modules.vo.*;

import java.util.List;
import java.util.Map;

public interface BzdzService extends IService<BzdzEntity> {
	List<LdBzdzVO> getJzwList(Map<String, Object> params);

	List<DyVO> getDyList(Map<String, Object> params);

	List<LcVO> getLcList(Map<String, Object> params);

	List<FjVO> getFjList(Map<String, Object> params);

	BzdzEntity bzdzDetail(Map<String, Object> params);

	boolean fzUpdate(BzdzEntity bzdzEntity);

	FwFzEntity selectByFzId(Long fzid);

	void fzlsSave(BzdzEntity fz);

	List<FzLsVO> selectFzLs(Long fzid);

    List<SyjzryVO> syrkDetail(String dzbm);

	List<SyjzryVO> syrkLsDetail(String dzbm);

	FwInfoEntity getFwIsExist(FwInfoEntity fwInfo);

    void czrkZx(SyrkzxVO syrkzxVO);

	void jwrkZx(SyrkzxVO syrkzxVO);

	void jzrkZx(SyrkzxVO syrkzxVO);

	void wlrkZx(SyrkzxVO syrkzxVO);

	void zzrkZx(SyrkzxVO syrkzxVO);

	void ryLsSave(RyLsEntity ryLs);

    SydwEntity selectSydwByDzbm(String dzbm);

	BzdzEntity selectFw(String dzbm);

    SydwEntity sydwDetail(SydwEntity sydwEntity);

	List<CyryEntity> selectCyryByDzbm(String tyshxydm);

	boolean fzzx(FwFzEntity fwFzEntity);

	void fzzxlsSave(FwFzEntity fwFzEntity);

	boolean saveCyry(CyryEntity cyryEntity);

	void updateSydwzx(SydwEntity sydw, Long userId);

	void updateCyryzx(SydwEntity sydw, Long userId);

	List<SydwEntity> sydwLsjl(String dzbm);

	List<CyryEntity> cyryLsjl(String dzbm);

	FwFzEntity selectXxBySfzh(String fzSfzh);

	Long selectCzrkId(RyCzrkEntity czrkEntity);

	Long selectJwrkId(RyJwrkEntity jwrkEntity);

	Long selectJzrkId(RyJzrkEntity jzrkEntity);

	Long selectWlrkId(RyWlrkEntity wlrkEntity);

	Long selectZzrkId(RyZzrkEntity zzrkEntity);

	void updateFwRyzxById(SyrkzxVO syrkzxVO);

	UserVO djxx(Long userId);

	List<CyryEntity> selectCyrylsByDzbm(String tyshxydm);

	List<String> selectFwInfo(String deptId);

	DwdzVO selectDwDz(String dz);

	BzdzEntity selectSyrkBySfzh(BzdzEntity bzdzEntity, String deptId);

	BzdzEntity selectPcsByCreateDept(Long createDept);

	BzdzEntity selectCzrkBySfzh(String rySfzh);

	BzdzEntity selectJwrkByZjhm(String ryZjhm);

	BzdzEntity selectJzrkBySfzh(String rySfzh);

	BzdzEntity selectWlrkBySfzh(String rySfzh);

	BzdzEntity selectZzrkBySfzh(String rySfzh);

	void czrkUpdate(BzdzEntity bzdzEntity);

	void jwrkUpdate(BzdzEntity bzdzEntity);

	void jzrkUpdate(BzdzEntity bzdzEntity);

	void wlrkUpdate(BzdzEntity bzdzEntity);

	void zzrkUpdate(BzdzEntity bzdzEntity);

	void updatePcsCzrk(SyjzryVO syjzryVO);

	void updatePcsJwrk(SyjzryVO syjzryVO);

	void updatePcsJzrk(SyjzryVO syjzryVO);

	void updatePcsWlrk(SyjzryVO syjzryVO);

	void updatePcsZzrk(SyjzryVO syjzryVO);

	String selectDept(String updateDept);

	void updateFwRy(FwRyEntity fwRyEntity);

	Dept selectDeptById(String deptId);

	BzdzEntity selectRyxxBySfzh(String rySfzh);
}
